<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('25','views','R');    
$_SESSION['cuPages']='acc_ledgerlist.php';   
$cuPage='acc_ledgerlist.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='account';
$menuh='Account';
$phead='ledlist';
$page='Ledger List';
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php 
if(isset($_POST['delled'])){
$id=$_POST['delled'];
if(delete_check('tbl_journalde','did',$id,'dtype','LE')>0 || delete_check('tbl_journalde','cid',$id,'ctype','LE')>0 || delete_check('tbl_recvoucherde','cid',$id,'cty','LE')>0 || delete_check('tbl_payvoucherde','did',$id,'dty','LE')>0){
save_msg('w','Ledger Depend On Other Table!!!');
echo "<script>window.location='acc_ledgerlist.php'</script>";
return;    
}
$name= get_fild_data('tbl_acledger',$id,'name');   
$sql="DELETE FROM tbl_acledger WHERE id='$id'";
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
$efid=mysqli_affected_rows($con);    
if($efid>0){    
$act =remove_junk(escape('Ledger name: '.$name));    
write_activity($aid,'LED','Ledger has been deleted',$act);       
save_msg('s','Ledger Successfully Deleted!!!');
}else{
save_msg('w','Ledger Fail to Delete!!!');   
}
echo "<script>window.location='acc_ledgerlist.php'</script>";     
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Account Ledger</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<div class="col-md-12 table-responsive">
<table class="table table-bordered table-striped" id="datarec">
<thead>
<tr>
<th style="width:40px;">SN</th>   
<th>Code</th>
<th>Name</th>
<th>Group</th>  
<th>Sub-Group</th>   
<th style="width:40px; text-align:center;">Action</th>    
</tr>
</thead>    
<tbody>
<?php
$sql="SELECT * FROM tbl_acledger ORDER BY name ASC";    
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
while ($row=mysqli_fetch_array($query)){
$id=$row['id'];
?>
<tr>
<td class="center"><?php echo count_id();?></td>
<td><?php echo $row['code'];?></td>
<td><?php echo $row['name'];?></td>    
<td><?php echo get_fild_data('tbl_acgroup',$row['grid'],'name');?></td>
<td><?php if($row['sgrid']!=''){echo get_fild_data('tbl_acsubgroup',$row['sgrid'],'name');}?></td>     
<td nowrap="">
<?php if($row['status']==0){?>
<a class="btn btn-flat bg-purple" href="#" onclick="edit_item('ED_<?php echo $row['id'];?>')"><i class="fa fa-edit"></i></a> 
<a class="btn btn-flat bg-purple" href="#" onclick="remove_item('DL_<?php echo $row['id'];?>')"><i class="fa fa-trash"></i></a>
<?php }else{?>
<a class="btn btn-flat bg-purple" href="#" ><i class="fa fa-lock"></i></a>   
<?php } ?>
<form action="acc_ledgerlist.php" id="DL_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="delled" value="<?php echo $row['id']; ?>" />
</form>
<form action="acc_ledgeredit.php" id="ED_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="editled" value="<?php echo $row['id']; ?>" />
</form>    
</td>    
</tr>    
<?php } ?>    
</tbody>   
</table>
</div>
<div class="clearfix" ></div>  
<div class="row"style="margin-top: 15px" >
<div class="col-md-12 table-responsive">    
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<a href="acc_ledgercreate.php" class="btn btn-flat bg-purple">Add Ledger</a>
</div>
</div>    
</div>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['access']=='1'){echo read_activity($aid,'LED','A');}else{echo read_activity($aid,'LED','U');}?>
</div>
</div>
</div>
</div>
</div>
</div> 

<?php include('../layout/quick.php');?>    
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function() {
$('#datarec').DataTable({stateSave: true});
});
function edit_item(id) {
   document.getElementById(id).submit(); 
}
function remove_item(id) {
        bootbox.confirm({
            title: "Confirm",
            message: "Are you sure to delete ?",
            buttons: {
                confirm: {
                    label: 'Yes',
                    className: 'btn-flat bg-purple'
                },
                cancel: {
                    label: 'Cancel',
                    className: 'btn-flat bg-gray'
                }
            },
            callback: function (result) {
                if (result == true) {
                    document.getElementById(id).submit();
                }
            }
        });

    }
</script>    
<!-- /page script -->
</html>